====== inet-3.x ======

2017-10-02  ------ inet-3.6.2 released ------

2017-07-06  ------ inet-3.6.1 released ------

2017-06-09  ------ inet-3.6.0 released ------

2017-05-24  Levente Mészáros

	Changed throughput recording to vector.

2017-02-20  ------ inet-3.5.0 released ------

2016-09-22  Zoltan Bojthe

	omnetpp5: add/use refreshDisplay()

2016-06-15  ------ inet-3.4.0 released ------

2016-05-25  Andras Varga

	UDPBasicApp/UDPSink: record received pk sequence numbers

2016-01-18  Levente Meszaros

	Applications: Added throughput statistic to some applications.

2016-06-01  ------ inet-3.3.0 released ------

2016-04-06  ------ inet-3.2.4 released ------

2016-03-16  ------ inet-3.2.3 released ------

2016-03-11  ------ inet-3.2.2 released ------

2016-01-21  ------ inet-3.2.1 released ------

2015-12-16  ------ inet-3.2.0 released ------

2015-10-26  ------ inet-3.1.1 released ------

2015-10-15  ------ inet-3.1.0 released ------

2015-06-22  ------ inet-3.0.0 released ------

2015-05-13  ------ inet-2.99.1 released ------

2015-01-21  Zoltan Bojthe

	Applied C++ source code modernizer.

2015-01-12  Zoltan Bojthe

	Fixed defects found by static code analyzer (Coverity).

2014-11-07  ------ inet-2.99.0 released ------

2014-09-18  Andras Varga

	Moved all sources under the src/inet directory, so that all #include
	statements begin with "inet/". The motivation is to rule out potential
	filename clashes when multiple model frameworks are used together.

	HINT: You can use the "opp_githist" command in inet/_scripts to find
	all previous locations of the sources in this directory, and to view
	the full history in gitk. Normal invocations of gitk can only show
	file history back to the most recent move operation.

2014-07-30  Andras Varga

	Changes on the inet-3.x branch so far:

	Code formatting (Zoltan Bojthe)
	- using uncrustify, see _scripts/reformat/*
	- common style for header guards

	Namespace (Zoltan Bojthe, Zsolt Prontvai)
	- code has been moved into the inet namespace

	Init stages (Zoltan Bojthe, Andras Varga)
	- init stages: reorganized by layers

	Signals (Zoltan Bojthe)
	- replace INotifiable and NotificationBoard by signals for
	  publish/subscribe communication

	Logging (Zoltan Bojthe, Benjamin Seregi)
	- EV log statements revised and categorized: EV_ERROR, EV_WARN,
	  EV_INFO, EV_DETAIL, EV_DEBUG, EV_TRACE

====== inet-2.x ======

2015-03-04  ------ inet-2.6 released ------

2014-11-07  ------ inet-2.5.1 released ------

2014-10-29  ------ inet-2.5.0 released ------

2014-06-12  ------ inet-2.4.0 released ------

2014-03-19  ------ inet-2.3.0 released ------

2013-08-22  ------ inet-2.2.0 released ------

2013-07-04  Zoltan Bojthe

	apps: stopTime checks changed: send packet when simTime() <= stopTime
	(some apps tested "simTime() < stopTime", other apps tested for "simTime()<= stopTime")

2013-06-13  Zoltan Bojthe

	- UDPBasicApp: removed static member 'counter', changed how message names are generated
	- merged createPacket() into sendPacket()

2013-05-08  Levente Meszaros

	- UDPSink: Added some text output for testing.
	- UDPBasicApp: Added check to skip unresolved destination addresses in.

2013-04-24  Zoltan Bojthe

	udp apps: refactoring to prepare for lifecycle support

	- Added AppBase and subclassed UDP apps from it
	- bind sockets at startTime
	- if module hasn't have startTime parameter: at initialize stage 1 or
	  larger
	- close sockets at stopTime
	- UDPBasicBurst: added bool parameter: excludeLocalDestAddresses +
	                 minor refactoring (no fingerprint change)
	- UDPVideoStreamCli: use stages in initialize (fingerprint change)

2013-04-22  Levente Meszaros

	App: Changed stopTime to use -1 to run the application forever.

2013-01-30  ------ inet-2.1.0 released ------

2012-08-07  ------ inet-2.0.0 released ------

2012-06-25  ------ inet-1.99.5 released ------

2012-06-15  Zoltan Bojthe

	UDPEchoApp fix: An error was thrown if UDP_I_ERROR was received
	because it is a cMessage and not a cPacket.

2012-06-04  Tamas Borbely

	Set icon of UPDBasicBurst application.

2012-05-11  Tamas Borbely

	Added 'endToEndDelay' statistics to UDPSink application.

2012-03-20  ------ inet-1.99.4 released ------

2012-02-27  Tamas Borbely

	Fix: UDPBasicApp did not bind to localPort when its destAddresses
	parameter was empty, so it could not receive any packets.

2012-02-24  ------ inet-1.99.3 released ------

2012-02-22  Andras Varga

	UDPBasicApp: new parameters: timeToLive, typeOfService,
	multicastInterface, receiveBroadcast, joinLocalMulticastGroups

2012-01-27  Tamas Borbely

	* UDPBasicApp, UDPEchoApp, and UDPSink accepts packets sent to
	a multicast address.

2011-12-22  Andras Varga

	statistics:
	- change statistics titles to lowercase
	- revised recording modes:
	- removed "stats" where "histogram" was already present (it implies "stats")
	- standardizing on lower case statistics titles
	- record packet counts in a less confusing way: as rcvdPk:count instead
	  of packetBytes(rcvdPk):count or rcvdPkBytes:count; total bytes is now
	  recorded as rcvdPk:sum(packetBytes)

2011-11-18  ------ INET-1.99.2 released ------

2011-11-18  Zoltan Bojthe

	NEDDOC fixes

2011-11-17  Zoltan Bojthe

	UDPEchoApp: fix statistic

2011-11-15  Andras Varga

	UDP: UDPEchoApp rewritten so that it only performs echo (it used to be a
	traffic source too)

	UDPEchoAppMsg is no longer needed.

	Existing usages of UDPEchoApp should be replaced with UDPBasicApp +
	UDPEchoApp (2 apps).

2011-11-15  Andras Varga

	UDPBasicApp.ned cosmetics

2011-09-14  Zoltan Bojthe

	fixes bug #151: Memory leak in
	'UDPVideoStreamSvr::processStreamRequest(cMessage *msg)'

2011-07-28  Andras Varga

	UDP apps: added localPort = default(-1) default value

2011-07-28  Andras Varga

	UDP apps: change to UDPSocket; updated for the UDP API changes

	No change in functionality.

	Details:
	- UDPAppBase was eliminated because it only contained functionality
	  already present in UDPSocket.
	- Also, some 'msg'->'pk' renaming.

2011-07-24  Andras Varga

	cosmetics

2011-07-18  Andras Varga

	IPvXTrafGen, UDPBasicApp: remove unused variable

2011-07-18  Andras Varga

	comments, whitespace, etc.

2011-07-18  Andras Varga

	statistics: emit pk (cPacket*) signals instead of pkBytes etc; added
	more statistics

	Utilize packetBytes() result filter in @statistic to record byte counts

2011-07-18  Andras Varga

	apps: renamed address/port params to localAddress/localPort where
	appropriate

2011-07-18  Andras Varga

	apps: added/renamed parameters: 'sendInterval', 'stopTime'

	Renamed the following parameters to 'sendInterval':
	- messageFreq, waitTime, packetInterval, interval, waitInterval

	Added stopTime parameter to several apps:
	- TelnetApp, UDPBasicApp, TCPBasicClientApp, IPvXTrafGen, EtherAppCli

2011-07-07  Zoltan Bojthe

	UDPBasicBurst: documentation

2011-07-07  Zoltan Bojthe

	UDP Apps: add missing startTime parameter for some UDP applications

2011-06-06  Zoltan Bojthe

	UDPBasicBurst: bugfix, documentation, example

2011-06-03  Andras Varga

	UDPBasicBurst: docu, code tweak, documentation TODO items

2011-06-03  Andras Varga

	UDPBasicBurst revised (ZoltanBojthe, Andras)

	- parameter rename
	- jitter parameter removed (when needed, can be an additional term in
	  messageFreq)
	- introduced dest address selection mode: once, per burst, per sending
	- revise operation
	- use signals and statistics
	- built-in dest module selection "macros" turned into NED functions

2011-06-03  Andras Varga

	cosmetics: space usage made somewhat more consistent throughout the code

	Notes:
	- if you have an INET fork and want to compare the code, use the
	 "Ignore spaces" option of your visual diff tool. Most tools have
	 this option; Meld and Araxis Merge certainly do.

	- I used omnetpp/_scripts/tidymodel/spaces.pl, plus some manual tweaks

2011-05-30  ------ INET-1.99.1 released ------

2011-05-27  Zoltan Bojthe

	code style, #include changes

2011-05-26  Zoltan Bojthe

	Renamed IP... classes to IPv4... or IPvX...

2011-04-21  Rudolf Hornig

	Added UDPBasicBurst app and a global shared posix like MemoryMap
	component.

2011-03-31  Zoltan Bojthe

	change simsignal_t member variables to static member

2011-03-11  Zoltan Bojthe

	Features: udpapp include changes

2011-03-09  Zoltan Bojthe

	Features: TCP, UDP

2011-03-03  ------ INET-1.99.0 released ------

2011-03-01  Rudolf Hornig

	Interfaces renamed to start with I.

2011-02-22  Andras Varga

	Swiched NED documentation comments to explicit hyperlinking of NED
	type names, using tilde. Example: "TCP" was changed to "~TCP"
	wherever the module and not the protocol was meant.

	The reason for the switch was that autolinking produced too many
	false hits (e.g. "TCP connection" and "IP address" would link
	to the TCP and IP modules.)

2011-01-10  Zoltan Bojthe

	Code style changes:

	- tab-to-space conversion
	- '{' to new line
	- too long lines
	- remove trailing whitespace from lines
	- indentation

2010-08-05  Andras Varga

	UDPBasicApp()/UDPSink(): finish() to record number of packets received
	(from Helene Lageber)

2010-03-05  Andras Varga

	@statistic: added missing 'vector' recording mode

2010-03-05  Andras Varga

	update for omnet++ 4.1b3:

	renamed @signal to @statistic modeHint= to record=

2010-02-26  Zoltan Bojthe

	some code corrections

2010-02-26  Zoltan Bojthe

	convert statistics to use signals

2010-06-24  Zoltan Bojthe

	use signals for statistics recording

2010-06-21  Zoltan Bojthe

	indent changes - from Thomas Reschka

2009-07-21  Andras Varga

	added default icons (mostly to *App modules)

2009-07-18  Andras Varga

	more gate labels added; also, fixed case of TCPOut gates (i.e. they got
	renamed to tcpOut)

2009-07-17  Levente Meszaros

	Added labels to gates to so that the graphical editor can match them
	when the user creates a connection:

	@labels(EtherFrame); labels(Ieee802Ctrl/up); labels(Ieee802Ctrl/down);
	@labels(TCPCommand/up); @labels(TCPCommand/down);
	@labels(UDPControlInfo/up); @labels(UDPControlInfo/down);
	@labels(Ieee80211Frame);  @labels(IPControlInfo/down);
	@labels(IPControlInfo/up);  @labels(IPDatagram);
	@labels(IPv6ControlInfo/up); @labels(IPv6ControlInfo/down);
	@labels(IPv6Datagram)

2009-07-17  Rudolf Hornig

	Changed the message length to volatile in UDP apps. So a distribution
	can be used for it.

2009-03-25  ------ INET-20090325 released ------

2008-09-09  Tamas Borbely

	UDPEchoApp: check for UDP error responses

2008-07-07  Andras Varga

	UDPEchoApp: messageLength parameter now understood in bytes not bits

2008-01-01..2009-03-25  Andras Varga, Rudolf Hornig

	Porting of INET to OMNeT++ 4.0, and some general face lift:
	* better directory structure (names changed to lowercase; moved sources
	  under src/; better names, e.g. networkinterfaces -> linklayer)
	* build system to use a deep makefile
	* updated the C++ code for the 4.0 API (follow name changes; use
	  int64-based simtime_t; use cPacket; etc.)
	* NED files converted to 4.0 syntax
	* make use of new features in NED files (module interfaces, inout
	  gates, @unit, etc.)

2005-10-29  Andras Varga

	Added UDPEchoApp, written by Andras Babos for the OSPFv2 model

2005-08-04  Andras Varga

	Refactoring: UDPApp split to UDPAppBase, UDPBasicApp, UDPSink

	Added UDPVideoStreamCli/UDPVideoStreamSrv, losely based on similar
	modules in IPv6suite

2003..2004  Andras Varga

	IPSuite extensive refactoring, see networklayer/ipv4/ChangeLog

2003-09-23  Andras Varga

	Initial checkin of IPSuite's UDPApp module.

	If you are interested in the early history of the code, change
	to the project root and type

	$ gitk -- Applications/UDPApp INET/src/applications/udpapp
